"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ConverseRequest {
    constructor() {
        this.intent = '';
        this.input = '';
        this.contexts = [];
    }
    forInput(input) {
        this.input = input;
        return this;
    }
    forIntent(name) {
        this.intent = name;
        return this;
    }
    addContext(name, value) {
        this.contexts.push({
            name: name,
            value: value
        });
        return this;
    }
}
exports.ConverseRequest = ConverseRequest;
