import * as Converse from 'converse-common';
import * as requestPromise from 'request-promise';
import { ConverseRequest } from './converse.request';

export class ConverseApi {
	constructor(private apiKey: string) {}
	public buildRequest(): ConverseRequest {
		return new ConverseRequest();
	}

	public get(req: Converse.IConverseRequest) {
		return new Promise((resolve, reject) => {
			requestPromise('http://localhost:3000/response', {
				method: 'GET',
				json: true,
				body: req,
				headers: {
					'x-api-key': this.apiKey
				}
			})
				.then((response) => {
					resolve(response);
				})
				.catch((error) => {
					reject(error);
				});
		});
	}
}
